<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMultipleEvents extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('multiple_events', function (Blueprint $table) {
            $table->id();
            $table->foreignId('multiple_events_parent_id')->constrained('multiple_events_parent', 'id');
            $table->string("name");
            $table->string("accountable");
            $table->longText("description");
            $table->dateTime("date");
            $table->dateTime('event_end');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('multiple_events');
    }
}
