<?php

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;


class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = [
            /**
             * The USER specific permissions
             */
            "user.create" => "Creation of new user",
            "user.show" => "Shows another user profile.",
            "user.edit" => "Allows editing of other users.",
            "user.delete" => "Allows deleting of other users.",

            /**
             * The EVENT specific permissions
             */
            "event.create" => "Create a new event",
            "event.show" => "Shows a specific event",
            "event.edit" => "Allows editing of events",
            "event.delete" => "Allows deletion of events",
            "userevent.create" => "Allows participation in an event",
            "userevent.delete" => "Allows removing participation in an event",

            /**
             * The CONTACT specific permissions
             */
            "contact.create" => "Creates a new contact",
            "contact.show" => "Shows a specific contact",
            "contact.edit" => "allows editing of contacts",
            "contact.delete" => "Allows deletion of contacts",

            /**
             * The FEEDBACK specific permissions
             */
            "feedback.create" => "Creates a new feedback message",
            "feedback.show" => "Shows a specific feedback message",
            "feedback.delete" => "allows deletion of feedback messages",

            /**
             * The MENUPLAN specific permissions
             */
            "menuplan.create" => "Create a new menuplan",
            "menuplan.show" => "Shows a specific menuplan",
            "menuplan.edit" => "Allows editing of menuplans",
            "menuplan.delete" => "Allows deletion of menuplans",

            /**
             * The RESOURCE CATEGORY specific permissions
             */
            "resource.category.create" => "Create a new resource category",
            "resource.category.show" => "Shows a specific resource category",
            "resource.category.edit" => "Allows editing of resource categories",
            "resource.category.delete" => "Allows deletion of resource categories",

            /**
             * The RESOURCE EXTENSION specific permissions
             */
            "resource.extension.create" => "Create a new resource extension",
            "resource.extension.show" => "Shows a specific resource extension",
            "resource.extension.edit" => "Allows editing of resource extensions",
            "resource.extension.delete" => "Allows deletion of resource extensions",

            /**
             * The RESOURCE specific permissions
             */
            "resource.create" => "Create a new resource",
            "resource.show" => "Shows a specific resource",
            "resource.edit" => "Allows editing of resources",
            "resource.delete" => "Allows deletion of resources",

            /**
             * The WASHING MACHINE specific permissions
             */
            "washing.machine.create" => "Create a new washing machine",
            "washing.machine.show" => "Shows a specific washing machine",
            "washing.machine.edit" => "Allows editing of washing machines",
            "washing.machine.delete" => "Allows deletion of washing machines",

            /**
             * The WASHING MACHINE RESERVATION specific permissions
             */
            "washing.machine.reservation.create" => "Create a new washing machine reservation",
            "washing.machine.reservation.show" => "Shows a specific washing machine reservation",
            "washing.machine.reservation.edit" => "Allows editing of washing machine reservations",
            "washing.machine.reservation.delete" => "Allows deletion of washing machine reservations",

            /**
             * The ROLES specific permissions
             */
            "roles.create" => "Create a new role",
            "roles.show" => "Shows a specific role",
            "roles.edit" => "Allows editing of roles",
            "roles.delete" => "Allows deletion of roles",

            /**
             * The GUIDE specific permissions
             */
            "guides.create" => "Create a new guide",
            "guides.show" => "Shows a specific guide",
            "guides.edit" => "Allows editing of guides",
            "guides.delete" => "Allows deletion of guides",

            /**
             * The LOCATION specific permissions
             */
            "locations.create" => "Create a new location",
            "locations.show" => "Shows a specific location",
            "locations.edit" => "Allows editing of locations",
            "locations.delete" => "Allows deletion of locations",

            /**
             * The NEWS specific permissions
             */
            "news.create" => "Create a new location",
            "news.show" => "Shows a specific location",
            "news.edit" => "Allows editing of locations",
            "news.delete" => "Allows deletion of locations",

            /**
             * The ADMIN PANEL specific permissions
             */
            "admin.panel.show" => "Allows access to administration panel",
        ];

        foreach ($permissions as $key => $value) {

            try {
                if(Permission::findByName($key))
                    continue;
            } catch (Exception $e) {
                $permission = new Permission();

                $permission->name = $key;
                $permission->description = $value;

                $permission->save();
            }
        }
    }
}
