@extends("app.layout.base")
@section("title")
    Reservationer
@endsection

@section("content")
    <?php
    date_default_timezone_set('Europe/Copenhagen');
    $washingreservations = 0;
    ?>
    <main style="min-height: calc(100% - 61.34px);">
        <h2 class="text-center sde-blue mb-0">{{__('msg.dinereservationer')}}</h2>
        @foreach($reservations as $reservation)
            @if(date('Y-m-d H:i:s', strtotime('-1 hour')) < $reservation->time)
                <div id="row_{{ $reservation->id }}" class="reservation" style="margin: 0 32px 1.75rem 32px;">
                    <h3>{{ \App\WashingMachine::query()->find($reservation->machine_id)->name }}</h3>
                    <div class="row align-items-center">
                        <span style="font-size: 4vw; white-space: pre-line;"><b>{{__('msg.tid')}}:</b> {{ \Illuminate\Support\Facades\Date::createFromTimeStamp(strtotime($reservation->time))->format('d/m/Y \k\l\. H:i') }}
                            - {{ \App\Location::query()->where('id', '=', \App\WashingMachine::query()->find($reservation->machine_id)->location_id)->first()->name }}</span>

                        @csrf
                        <a class="btn btn-sde-blue ml-auto mb-0" onclick="delete_reservation({{ $reservation->id }})">{{__('msg.fjern')}}</a>
                    </div>
                </div>
                <?php
                $washingreservations++;
                ?>
            @endif
        @endforeach
        @if(count($reservations) < 1 || $washingreservations == 0)
            <p style="margin: 0 18px;">{{__('msg.duharingenreservationer')}}.</p>
        @else
        @endif
        <a href="{{ route("washing-reservations.create") }}" class="btn btn-sde-blue mt-auto mb-1">{{__('msg.reservervaskemaskine')}}</a>
    </main>
@endsection

@section("scripts")
    <script src="{{ asset("/js/jquery-3.2.1.min.js") }}"></script>

    <script>
        function delete_reservation(id) {
            var token = $("input[name='_token']").val();

            Swal.fire({
                title: 'Er du sikker?',
                text: "Dette kan ikke blive ændret tilbage!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Slet Reservationen',
                cancelButtonText: 'Annuller'
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        type: "POST",
                        url: "/washing-reservations/"+id,
                        data:{'_token':token, _method: 'DELETE'},
                        success: function () {
                            $('#row_'+id).remove()
                        },
                        error:function (data) {
                            console.log(data);
                        }
                    });
                }
            })
        }
    </script>
@endsection
