<!DOCTYPE html>
<html lang="en">
<head>
    <title>@yield("title")</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link type="text/css" rel="stylesheet" href="{{ asset("/css/normalize.css") }}">
    <link type="text/css" rel="stylesheet" href="{{ mix("/css/webapp.css") }}">
    <link rel="manifest" href="manifest.json">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="application-name" content="Ekapp">
    <meta name="apple-mobile-web-app-title" content="Ekapp">
    <meta name="theme-color" content="00788a">
    <meta name="msapplication-navbutton-color" content="00788a">
    @if(request()->cookie("mode") == "dark")
        <meta name="apple-mobile-web-app-status-bar-style" content="black">
    @else
        <meta name="apple-mobile-web-app-status-bar-style" content="default">
    @endif
    <meta name="msapplication-starturl" content="/login">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="shortcut icon" type="images/svg" sizes="72x72" href="/images/icons/img72x72.svg">
    <link rel="shortcut icon" type="images/svg" sizes="96x96" href="/images/icons/img96x96.svg">
    <link rel="shortcut icon" type="images/svg" sizes="128x128" href="/images/icons/img128x128.svg">
    <link rel="shortcut icon" type="images/svg" sizes="144x144" href="/images/icons/img144x144.svg">
    <link rel="shortcut icon" type="images/svg" sizes="152x152" href="/images/icons/img152x152.svg">
    <link rel="shortcut icon" type="images/svg" sizes="192x192" href="/images/icons/img192x192.svg">
    <link rel="shortcut icon" type="images/svg" sizes="383x383" href="/images/icons/img383x383.svg">
    <link rel="shortcut icon" type="images/svg" sizes="512x512" href="/images/icons/img512X512.svg">
    <link rel="apple-touch-icon" type="images/svg"  href="/images/icons/img128x128.svg">
    <link rel="apple-touch-icon" type="images/svg" sizes="192x192" href="/images/icons/img192x192.svg">
    <link rel="apple-touch-icon" type="images/svg" sizes="152x152" href="/images/icons/img152x152.svg">
    <link rel="apple-touch-icon" type="images/svg" sizes="167x167" href="/images/icons/img152x152.svg">
</head>
<body style="background-color: #00788a;">
    @yield("content")

    <script src="{{ mix("/js/app.js") }}"></script>
    <!--<script src="/serviceWorkerRegistration.js"></script>-->
    @yield("scripts")
</body>
</html>
