<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get("/", "RootController@index")->name("root.index");
Route::get("/home", "RootController@index")->name("root.index");

Route::post('/push','PushNotificationController@store');

Route::get("/login", "UserController@showLogin")->name("users.show-login");
Route::post("/login", "UserController@login")->name("users.login");
Route::get("/logout", "UserController@logout")->name("users.logout");
Route::get("/forgot", "UserController@showForgot")->name("users.show-forgot");
Route::post("/forgot", "UserController@forgot")->name("users.forgot");
Route::get("/account", "UserController@account")->name("users.account");
Route::get("/account/edit", "UserController@accountedit")->name("users.accountedit");
Route::get("/account/editpass", "UserController@accounteditpass")->name("users.accounteditpass");
Route::put("/account/update", "UserController@accountupdate")->name("users.accountupdate");
Route::get("/account/editpic", "UserController@accounteditpic")->name("users.accounteditpic");
Route::get("/events/signups/{event}", "EventController@signups")->name("events.signups");
Route::get("/events/accountsignups", "EventController@accountsignups")->name("events.accountsignups");
Route::get("phones", "PhoneController@index")->name("phones.index");
Route::get("/washing-reservationsapi", "WashingReservationController@api")->name("washing-reservations.api");
Route::get("/washing-reservationsgetMachines", "WashingReservationController@getMachines")->name("washing-reservations.getMachines");
Route::get("/washing-reservationsgetTimes", "WashingReservationController@getTimes")->name("washing-reservations.getTimes");
Route::get("/app/washing-reservations", "WashingReservationController@appindex")->name("washing-reservations.appindex");
Route::get("/settings", "SettingsController@index")->name("settings.index");
Route::post("/events/signup", "UserEventController@createajax")->name("userevents.createajax");
Route::post("/account/mailwants", "UserController@createajax")->name("users.createajax");
Route::get("/about", "AboutController@index")->name("about.index");
Route::get("/multiple-events", "MultipleEventsController@index")->name("multiple-events.index");
Route::post("/events/cancelsignup", "UserEventController@createajaxcancel")->name("userevents.createajaxcancel");
Route::post("/account/cancelmailwants", "UserController@createajaxcancel")->name("users.createajaxcancel");
Route::delete("/notifications/delete", "EventController@deleteNotifications")->name("notifications.delete");
Route::post("/feedbacks/store", "FeedbackController@storeajax")->name("feedbacks.storeajax");
Route::get("/signup", "UserController@signup")->name("users.signup");
Route::post("/signupStore", "UserController@signupStore")->name("users.signupStore");

//Admin
Route::post('/allowactionapplication', [App\Http\Controllers\AllowActionController::class, 'AllowActionRegistering'])->name('allowaction.allowactionregistering');

//Search
Route::get("/machineapi", "WashingMachineController@search")->name("washing-machines.search");
Route::get("/showCategory", "GuideController@showCategory")->name("guides.showCategory");

//Cookies
Route::get("/languages", "UserController@setLanguages")->name("users.setLanguages");
Route::get("/darkmode", "UserController@setDarkMode")->name("users.setDarkMode");

//Convert to PDF
Route::get("/pdf/{menuPlan}", "MenuPlanController@genPDF")->name("pdf.genPDF")->hasParameter("Id");

//Preview
Route::get("/newsPreview", "NewsController@previewPages")->name("news.preview");
Route::get("/menuplanPreview", "MenuPlanController@previewPages")->name("menuplans.preview");
Route::get("/eventPreview", "EventController@previewPages")->name("events.preview");
Route::get("/multipleEventPreview", "MultipleEventsController@previewPages")->name('multiple-events.preview');
Route::get("/guidePreview", "GuideController@previewPages")->name("guides.preview");


//Check name adminpanel
Route::get("/usersCheck", "UserController@nameCheck")->name("users.nameCheck");
Route::get("/eventCheck", "EventController@nameCheck")->name("events.nameCheck");
Route::get("/roleCheck", "RolesController@nameCheck")->name("roles.nameCheck");
Route::get("/guidesCheck", "GuideController@nameCheck")->name("guides.nameCheck");
Route::get("/newsCheck", "NewsController@nameCheck")->name("news.nameCheck");
Route::get("/menuplanCheck", "MenuPlanController@nameCheck")->name("menuplans.nameCheck");
Route::get("/locationsCheck", "LocationController@nameCheck")->name("locations.nameCheck");
Route::get("/washingCheck", "WashingMachineController@nameCheck")->name("washing-machines.nameCheck");
Route::get("/guidesCategoryCheck", "GuidesCategoryController@nameCheck")->name("guides-category.nameCheck");

//Location Create from Guides
Route::get("/guidesCategoryCreate", "GuidesCategoryController@guideCategoryCreate")->name("guides-category.guideCategoryCreate");

//Check name update adminpanel
Route::get("/usersCheckUpdate", "UserController@nameCheckUpdate")->name("users.nameCheckUpdate");
Route::get("/eventCheckUpdate", "EventController@nameCheckUpdate")->name("events.nameCheckUpdate");
Route::get("/roleCheckUpdate", "RolesController@nameCheckUpdate")->name("roles.nameCheckUpdate");
Route::get("/guidesCheckUpdate", "GuideController@nameCheckUpdate")->name("guides.nameCheckUpdate");
Route::get("/newsCheckUpdate", "NewsController@nameCheckUpdate")->name("news.nameCheckUpdate");
Route::get("/menuplanCheckUpdate", "MenuPlanController@nameCheckUpdate")->name("menuplans.nameCheckUpdate");
Route::get("/locationsCheckUpdate", "LocationController@nameCheckUpdate")->name("locations.nameCheckUpdate");
Route::get("/washingCheckUpdate", "WashingMachineController@nameCheckUpdate")->name("washing-machines.nameCheckUpdate");
Route::get("/guidesCategoryUpdate", "GuidesCategoryController@nameCheckUpdate")->name("guides-category.nameCheckUpdate");



Route::resource("contacts", "ContactController");
Route::resource("menu-plans", "MenuPlanController");
Route::resource("users", "UserController");
Route::resource("events", "EventController");
Route::resource("userevents", "UserEventController");
Route::resource("washing-machines", "WashingMachineController");
Route::resource("washing-reservations", "WashingReservationController");
Route::resource("feedbacks", "FeedbackController");
Route::resource("resource-extensions", "ResourceExtensionController");
Route::resource("resource-categories", "ResourceCategoryController");
Route::resource("roles", "RolesController");
Route::resource("guides", "GuideController");
Route::resource("locations", "LocationController");
Route::resource("guides-category", "GuidesCategoryController");
Route::resource("news", "NewsController");
Route::resource("newstype", "NewsTypeController");
Route::resource('allowaction', 'AllowActionController');
Route::resource("multiple-events", "MultipleEventsController");
